package com.jsh.erp.datasource.pda.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.Date;

@Data
@Accessors
public class PDADepotItemVO{

    @ApiModelProperty("商品订单ID")
    private Long id;

    @ApiModelProperty("商品ID")
    private Long materialId;

    @ApiModelProperty("商品名称")
    private String materialName;

    @ApiModelProperty("商品规格")
    private String materialStandard;

    @ApiModelProperty("批次号")
    private String batchNumber;

    @ApiModelProperty("生产日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date productionDate;

    @ApiModelProperty("商品库位")
    private String position;

    @ApiModelProperty("商品库存")
    private String inventory;

    @ApiModelProperty("商品条码")
    private String barCode;

    @ApiModelProperty("订单数量")
    private BigDecimal operNumber;

    @ApiModelProperty("库存单位")
    private String commodityUnit;

    @ApiModelProperty("商品单位")
    private String materialUnit;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty("商品系统SKU")
    private String systemId;

    @ApiModelProperty("仓库名称")
    private String depotName;

    @ApiModelProperty("实际出入库数量")
    private String actualQuantityInStorage;
}
